
                MOV     A,BIT_COMMAND
CMD_0R:
                CJNE    A,#REMOTE_PWR,CMD_1R
                MOV     A,#CMD_PWR
                CPL     RST
                CPL     LED

                LJMP    CMD_EXIT
CMD_1R:
                CJNE    A,#REMOTE_EJECT,CMD_2R
                MOV     A,#CMD_EJECT
                LJMP    SEND_REMOTE

CMD_2R:
                CJNE    A,#REMOTE_STOP,CMD_3R
                MOV     A,#CMD_STOP
                LJMP    SEND_REMOTE

CMD_3R:
                CJNE    A,#REMOTE_PLAY,CMD_4R
                MOV     A,#CMD_PLAY
                LJMP    SEND_REMOTE

CMD_4R:
                CJNE    A,#REMOTE_REW,CMD_5R
                MOV     A,#CMD_REW
                LJMP    SEND_REMOTE

CMD_5R:
                CJNE    A,#REMOTE_FF,CMD_6R
                MOV     A,#CMD_FF
                LJMP    SEND_REMOTE

CMD_6R:
                CJNE    A,#REMOTE_PAUSE,CMD_7R
                MOV     A,#CMD_PAUSE
                LJMP    SEND_REMOTE

CMD_7R:
                CJNE    A,#REMOTE_REPEAT,CMD_8R
                MOV     A,#CMD_REPEAT
                LJMP    SEND_REMOTE

CMD_8R:

                LCALL   FIND_TBL
                MOV     A,R7
BYTE_ONE:
                JB      FIRST_BYTE,BYTE_TWO
;
                LCALL   SEEK_FILE
                LJMP    CMD_EXIT

BYTE_TWO:
                CJNE    A,#0FFH,CANCEL_SHIFT
                MOV     A,#'c'
                LCALL   TX
                CLR     FIRST_BYTE
                LJMP    CMD_EXIT

CANCEL_SHIFT:
                CLR     C
                ADD     A,#30H
                LCALL   TX
                CLR     FIRST_BYTE
                LJMP    CMD_EXIT

SEND_REMOTE:
                JB      FIRST_BYTE,CMD_EXIT
                LCALL   TX
CMD_EXIT:
GET_EXIT:
                LCALL   UTIL_PRESS
                RET
;-----------------------------------------
SEEK_FILE:
                MOV     B,A
                CLR     C
                SUBB    A,#10
                JNC     NONE_CMD
                MOV     A,B
                PUSH    ACC
                MOV     A,#CMD_TRACK    ;'t'
                LCALL   TX
                MOV     R6,#0
                DJNZ    R6,$
                POP     ACC
                CLR     C
                ADD     A,#30H
                LCALL   TX
                                        ;SEND 1 BYTE
                MOV     R6,#0
                DJNZ    R6,$
                SETB    FIRST_BYTE      ;ONE BYTE FOR SEEK 2 BYTE
NONE_CMD:
                RET
;----------------------------------------

FIND_TBL:
                MOV     DPTR,#REMOTE_TBL
                MOV     R7,#1
                MOV     B,A
NEXT_FIND:
                CLR     A
                MOVC    A,@A+DPTR
                XRL     A,B
                JZ      FIND_TBLEXIT
                INC     R7
                INC     DPTR

                CJNE    R7,#11d,NEXT_FIND
                MOV     R7,#0FFH
FIND_TBLEXIT:
                RET
